/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Boleto;
import com.rjconsultores.ventaboletos.vo.embarcada.PtoVtaUsuarioUltimaVendaDispositivoVO;

/**
 *
 * @author Fabricio
 */

public interface BoletoDAO extends GenericDAO<Boleto, Long> {
	public Boleto buscarPeloImeiDoDispositivo(String imei);
	public List<PtoVtaUsuarioUltimaVendaDispositivoVO> buscarUltimaVendaDosDispositivosEmbarcada();
	@Override
	Boleto suscribir(Boleto boleto);
	public String getSequenciaBoletoId();
	public String getSequenciaNumOperacion();
	public String getSequenciaNumReservacion();
	void insertBoletoReserva(Boleto miBoletoTemporal);
	public boolean isExisteBoletoPorCorrida(Integer corridaId, Date fecCorrida);
	public boolean isExisteBoletoPorCorridaOrigemIdOuDestinoId(Integer corridaId, Date fecCorrida, Integer origemId, Integer destinoId);
}
